View Issue Details

IDProjectCategoryView StatusLast Update
0011903ScribusTypographypublic2016-12-12 18:17
Reportera_winkler Assigned To 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status newResolutionopen 
Platformx86_64OSUbuntuOS Version3.10
Product Version1.5.0svn 
Target VersionFixed in Version 
Summary0011903: Text frame overflow behaviour
DescriptionI've noticed that with 1.5.0svn it is now possible to shrink the height of a text frame tight to the text without overflowing the frame. I think that an even better approach would be the following:

1) Overflow a text frame only when the base line of the last line of text is outside the frame. As a result, glyphs can then be partially outside the text frame at the bottom without overflowing the frame.
2) Glyphs can be partially outside the text frame at the top, depending on the 'First Line Offset' setting.
3) Add the option 'Cap Height' to the First Line Offset setting.
4) Allow for automatically shrinking the text frame.

Please see the attached screenshot for such a shrinked text frame with the First Line Offset set to 'Cap Height'. This approach is what e.g. Indesign does and it has some significant advantages:

a) It is then possible to align the cap height of the first line of text to the top of an object.
b) It is then possible to align the base line of the last line of text to the bottom of an object.
c) When drawing the outline of a text frame and the text frame is shrinked, the text appears vertically centred.
Additional InformationThe feature request with ID 0011877 issued by me previously is a subset of this one and should therefore be closed by a moderator. Thanks!
Tagslayout, overflow
PatchNo

Relationships

has duplicate 0011877 closedjghali The baseline of the first line in a text frame should be fixed 

Activities

a_winkler

2013-12-23 11:14

reporter  

textFrame.png (8,719 bytes)
textFrame.png (8,719 bytes)

jghali

2013-12-23 11:28

administrator   ~0030948

>> The feature request with ID 0011877 issued by me previously is a subset of this one and should therefore be closed by a moderator. Thanks!

Done!

Issue History

Date Modified Username Field Change
2013-12-23 11:14 a_winkler New Issue
2013-12-23 11:14 a_winkler File Added: textFrame.png
2013-12-23 11:28 jghali Relationship added has duplicate 0011877
2013-12-23 11:28 jghali Note Added: 0030948
2016-03-23 14:15 Kunda Patch => No
2016-03-23 14:15 Kunda Additional Information Updated View Revisions
2016-03-23 14:16 Kunda Tag Attached: layout
2016-12-12 18:17 Kunda Tag Attached: overflow